<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE TS>
<TS version="2.1" language="ru">
<context>
    <name>FeatherPad::AboutDialog</name>
    <message>
        <location filename="../../about.ui" line="173"/>
        <source>License</source>
        <translation>Лицензия</translation>
    </message>
</context>
<context>
    <name>FeatherPad::FPwin</name>
    <message>
        <location filename="../../fpwin.cpp" line="481"/>
        <location filename="../../fpwin.cpp" line="1565"/>
        <location filename="../../fpwin.cpp" line="1627"/>
        <location filename="../../fpwin.cpp" line="2185"/>
        <location filename="../../fpwin.cpp" line="2247"/>
        <location filename="../../fpwin.cpp" line="3012"/>
        <location filename="../../fpwin.cpp" line="3032"/>
        <location filename="../../fpwin.cpp" line="3035"/>
        <location filename="../../fpwin.cpp" line="3986"/>
        <location filename="../../fpwin.cpp" line="4739"/>
        <location filename="../../fpwin.cpp" line="5033"/>
        <location filename="../../fpwin.cpp" line="5292"/>
        <source>Untitled</source>
        <translation>Безымянный</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="71"/>
        <source>Go to line:</source>
        <translation>Перейти к строке:</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="107"/>
        <source>Select text from cursor to this line
(Ctrl+Shift+J)</source>
        <translation>Выделит текст от курсора до этой строки
(Ctrl+Shift+J)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="111"/>
        <source>Select Text</source>
        <translation>Выделить текст</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="114"/>
        <source>Ctrl+Shift+J</source>
        <translation>Ctrl+Shift+J</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="149"/>
        <source>&amp;File</source>
        <translation>&amp;Файл</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="153"/>
        <source>Recently &amp;Modified</source>
        <translation>&amp;Недавно изменённые</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="189"/>
        <location filename="../../fp.ui" line="980"/>
        <source>&amp;Edit</source>
        <translation>&amp;Правка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="219"/>
        <source>&amp;Options</source>
        <translation>&amp;Параметры</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1588"/>
        <location filename="../../fpwin.cpp" line="2910"/>
        <location filename="../../fpwin.cpp" line="4549"/>
        <source>Encoding</source>
        <translation>Кодировка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="282"/>
        <source>&amp;Search</source>
        <translation>По&amp;иск</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="290"/>
        <location filename="../../fp.ui" line="746"/>
        <source>&amp;Help</source>
        <translation>&amp;Справка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="342"/>
        <location filename="../../fpwin.cpp" line="4089"/>
        <location filename="../../replace.cpp" line="61"/>
        <location filename="../../replace.cpp" line="113"/>
        <source>Replacement</source>
        <translation>Замена</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="390"/>
        <source>Find:</source>
        <translation>Найти:</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="406"/>
        <source>To be replaced</source>
        <translation>Подлежит замене</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="419"/>
        <source>Replace with:</source>
        <translation>Заменить на:</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="435"/>
        <source>Replacing text</source>
        <translation>Заменяющий текст</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="494"/>
        <source>&amp;New</source>
        <translation>&amp;Новый</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="497"/>
        <source>New tab</source>
        <translation>Новая вкладка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="500"/>
        <source>Ctrl+N</source>
        <translation>Ctrl+N</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="505"/>
        <source>&amp;Open</source>
        <translation>&amp;Открыть</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="508"/>
        <source>Open a file</source>
        <translation>Открыть файл</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="511"/>
        <source>Ctrl+O</source>
        <translation>Ctrl+O</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="519"/>
        <location filename="../../fpwin.cpp" line="1363"/>
        <source>&amp;Save</source>
        <translation>&amp;Сохранить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="522"/>
        <source>Save the current tab</source>
        <translation>Сохранить текущую вкладку</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="525"/>
        <source>Ctrl+S</source>
        <translation>Ctrl+S</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="533"/>
        <source>&amp;Undo</source>
        <translation>&amp;Отменить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="536"/>
        <source>Undo</source>
        <translation>Отменить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="539"/>
        <source>Ctrl+Z</source>
        <translation>Ctrl+Z</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="547"/>
        <source>&amp;Redo</source>
        <translation>&amp;Повторить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="550"/>
        <source>Redo</source>
        <translation>Повторить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="553"/>
        <source>Ctrl+Shift+Z</source>
        <translation>Ctrl+Shift+Z</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="561"/>
        <location filename="../../fp.ui" line="564"/>
        <source>Reload</source>
        <translation>Обновить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="567"/>
        <source>Ctrl+Shift+R</source>
        <translation>Ctrl+Shift+R</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="572"/>
        <source>&amp;Find</source>
        <translation>&amp;Найти</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="578"/>
        <source>Ctrl+F</source>
        <translation>Ctrl+F</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="586"/>
        <source>Show/hide replacement dock</source>
        <translation>Показать/скрыть панель замены</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="589"/>
        <source>Ctrl+R</source>
        <translation>Ctrl+R</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1111"/>
        <source>Sa&amp;ve/Restore Session</source>
        <translation>&amp;Сохранить/Восстановить сеанс</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="597"/>
        <source>Ctrl+Shift+S</source>
        <translation>Ctrl+Shift+S</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="602"/>
        <source>&amp;Print</source>
        <translation>&amp;Печать</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="605"/>
        <source>Ctrl+P</source>
        <translation>Ctrl+P</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="613"/>
        <source>Ctrl+Shift+D</source>
        <translation>Ctrl+Shift+D</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="618"/>
        <source>&amp;Close</source>
        <translation>&amp;Закрыть</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="621"/>
        <source>Ctrl+Shift+Q</source>
        <translation>Ctrl+Shift+Q</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="626"/>
        <source>&amp;Quit</source>
        <translation>В&amp;ыйти</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="629"/>
        <source>Ctrl+Q</source>
        <translation>Ctrl+Q</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="637"/>
        <source>&amp;Cut</source>
        <translation>Выре&amp;зать</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="640"/>
        <source>Ctrl+X</source>
        <translation>Ctrl+X</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="651"/>
        <source>Ctrl+C</source>
        <translation>Ctrl+C</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="656"/>
        <source>&amp;Paste</source>
        <translation>Вст&amp;авить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="659"/>
        <source>Ctrl+V</source>
        <translation>Ctrl+V</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="667"/>
        <source>&amp;Delete</source>
        <translation>&amp;Удалить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="672"/>
        <source>&amp;Select All</source>
        <translation>В&amp;ыделить всё</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="675"/>
        <source>Ctrl+A</source>
        <translation>Ctrl+A</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="680"/>
        <source>&amp;Font</source>
        <translation>&amp;Шрифт</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="688"/>
        <source>&amp;Line Numbers</source>
        <translation>&amp;Номер строки</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="691"/>
        <source>Ctrl+L</source>
        <translation>Ctrl+L</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="702"/>
        <source>&amp;Wrap Lines</source>
        <translation>&amp;Переносить строки</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="705"/>
        <source>Ctrl+W</source>
        <translation>Ctrl+W</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="716"/>
        <source>&amp;Auto-Indentation</source>
        <translation>&amp;Автоматический отступ</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="719"/>
        <source>Ctrl+I</source>
        <translation>Ctrl+I</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="730"/>
        <source>&amp;Syntax Highlighting</source>
        <translation>&amp;Подсвечивать синтаксис</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="733"/>
        <source>Ctrl+Shift+H</source>
        <translation>Ctrl+Shift+H</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="738"/>
        <source>&amp;Preferences</source>
        <translation>&amp;Настройки</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="741"/>
        <source>Ctrl+Shift+P</source>
        <translation>Ctrl+Shift+P</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="749"/>
        <source>Ctrl+H</source>
        <translation>Ctrl+H</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="754"/>
        <source>&amp;About</source>
        <translation>&amp;О программе</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="765"/>
        <source>Windows Arabic (&amp;CP1256)</source>
        <translation>Windows Арабская (&amp;CP1256)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="781"/>
        <source>Enforce UTF-8</source>
        <translation>Кодировка UTF-8</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="969"/>
        <source>&amp;Jump to</source>
        <translation>&amp;Перейти к</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="972"/>
        <source>Show/hide jump bar</source>
        <translation>Показать/скрыть панель перехода</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="975"/>
        <source>Ctrl+J</source>
        <translation>Ctrl+J</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="983"/>
        <source>Edit text</source>
        <translation>Править текст</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="986"/>
        <source>Ctrl+Shift+E</source>
        <translation>Ctrl+Shift+E</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1005"/>
        <source>ISO-&amp;8859-15</source>
        <translation>ISO-&amp;8859-15</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1010"/>
        <source>Close Ne&amp;xt Tabs</source>
        <translation>&amp;Закрыть следующие вкладки</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1015"/>
        <source>Close &amp;Previous Tabs</source>
        <translation>&amp;Закрыть предыдущие вкладки</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1020"/>
        <source>Close &amp;All Tabs</source>
        <translation>&amp;Закрыть все вкладки</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1025"/>
        <source>Close &amp;Other Tabs</source>
        <translation>&amp;Закрыть другие вкладки</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1035"/>
        <source>Copy File &amp;Path</source>
        <translation>&amp;Путь к копии файла</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1043"/>
        <source>Ne&amp;xt Tab</source>
        <translation>&amp;Следующая вкладка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1054"/>
        <source>Previous Ta&amp;b</source>
        <translation>&amp;Предыдущая вкладка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1089"/>
        <source>&amp;Run</source>
        <translation>&amp;Запустить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1095"/>
        <source>Ctrl+E</source>
        <translation>Ctrl+E</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1100"/>
        <source>&amp;Clear</source>
        <translation>&amp;Очистить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1103"/>
        <source>Clear the list of recently modified files</source>
        <translation>Очистить список недавно изменённых файлов</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1108"/>
        <source>Save/Restore Session</source>
        <translation>Сохранить/Восстановить сеанс</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1114"/>
        <source>Ctrl+M</source>
        <translation>Ctrl+M</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1119"/>
        <source>Side-Pane</source>
        <translation>Боковая панель</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1122"/>
        <source>Ctrl+Alt+P</source>
        <translation>Ctrl+Alt+P</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1127"/>
        <source>Paste Date and Time</source>
        <translation>Вставить дату и время</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1130"/>
        <source>Ctrl+Shift+V</source>
        <translation>Ctrl+Shift+V</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1135"/>
        <location filename="../../fp.ui" line="1138"/>
        <source>To Upper Case</source>
        <translation>В верхний регистр</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1141"/>
        <source>Ctrl+Shift+U</source>
        <translation>Ctrl+Shift+U</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1146"/>
        <location filename="../../fp.ui" line="1149"/>
        <source>To Lower Case</source>
        <translation>В нижний регистр</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1152"/>
        <source>Ctrl+Shift+L</source>
        <translation>Ctrl+Shift+L</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1157"/>
        <location filename="../../fp.ui" line="1160"/>
        <source>To Start Case</source>
        <translation>Начать случай</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1168"/>
        <location filename="../../fp.ui" line="1171"/>
        <source>Last Active Tab</source>
        <translation>Последняя активная вкладка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1174"/>
        <source>F1</source>
        <translation>F1</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1179"/>
        <location filename="../../fp.ui" line="1182"/>
        <source>Sort Lines</source>
        <translation>Сортировать строки</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1187"/>
        <location filename="../../fp.ui" line="1190"/>
        <source>Sort Lines Reversely</source>
        <translation>Сортировать строки в обратном порядке</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1195"/>
        <source>Check Spelling</source>
        <translation>Проверить орфографию</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1198"/>
        <source>F2</source>
        <translation>F2</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1203"/>
        <location filename="../../fp.ui" line="1206"/>
        <source>Save All Files</source>
        <translation>Сохранить всё</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1211"/>
        <location filename="../../fp.ui" line="1214"/>
        <source>User Dictionary</source>
        <translation>Пользовательский словарь</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1219"/>
        <source>Text Tabs to Spaces</source>
        <translation>Табуляции перевести в пробелы</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="994"/>
        <source>&amp;Detach Tab</source>
        <translation>&amp;Вставить вкладку</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="250"/>
        <source>Ea&amp;st Asian</source>
        <translation>Восточно&amp;азиатская</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="594"/>
        <source>Save &amp;As</source>
        <translation>&amp;Сохранить как</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="610"/>
        <source>Documen&amp;t Properties</source>
        <translation>&amp;Свойства документа</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="648"/>
        <source>C&amp;opy</source>
        <translation>&amp;Копировать</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="803"/>
        <source>UTF-&amp;16</source>
        <translation>UTF-&amp;16</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="847"/>
        <source>Cyrillic (&amp;KOI8-U)</source>
        <translation>Кириллица (&amp;KOI8-U)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="858"/>
        <source>Cyrillic (&amp;ISO-8859-5)</source>
        <translation>Кириллица (&amp;ISO-8859-5)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="880"/>
        <source>Chinese (&amp;GB18030)</source>
        <translation>Китайская (&amp;GB18030)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="902"/>
        <source>Japanese (&amp;ISO-2022-JP-2)</source>
        <translation>Японская (&amp;ISO-2022-JP-2)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="913"/>
        <source>Japanese (ISO-&amp;2022-KR)</source>
        <translation>Японская (ISO-&amp;2022-KR)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="935"/>
        <source>Japa&amp;nese (EUC-JP)</source>
        <translation>&amp;Японская (EUC-JP)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="951"/>
        <source>K&amp;orean (CP1361)</source>
        <translation>К&amp;орейская (CP1361)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="959"/>
        <source>Korean (&amp;EUC-KR)</source>
        <translation>Корейская (&amp;EUC-KR)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="964"/>
        <source>Save with &amp;Encoding</source>
        <translation>Сохранить в &amp;кодировке</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="997"/>
        <source>Ctrl+T</source>
        <translation>Ctrl+T</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1092"/>
        <source>Execute</source>
        <translation>Запустить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="223"/>
        <source>&amp;Encoding</source>
        <translation>&amp;Кодировка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="227"/>
        <source>&amp;Unicode</source>
        <translation>&amp;Юникод</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="234"/>
        <source>&amp;Western European</source>
        <translation>&amp;Западноевропейская</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="242"/>
        <source>&amp;East European</source>
        <translation>&amp;Восточноевропейская</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="575"/>
        <source>Focus/hide search bar</source>
        <translation>Сфокусировать/скрыть панель поиска</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="583"/>
        <source>&amp;Replace</source>
        <translation>&amp;Заменить</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="773"/>
        <source>&amp;Other</source>
        <translation>&amp;Другая</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="792"/>
        <source>&amp;UTF-8</source>
        <translation>&amp;UTF-8</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="814"/>
        <source>&amp;ISO-8859-1</source>
        <translation>&amp;ISO-8859-1</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="825"/>
        <source>&amp;Windows-1252</source>
        <translation>&amp;Windows-1252</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="836"/>
        <source>&amp;Cyrillic (CP1251)</source>
        <translation>&amp;Кириллица (CP1251)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="869"/>
        <source>&amp;Chinese (BIG5)</source>
        <translation>&amp;Китайская (BIG5)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="891"/>
        <source>&amp;Japanese (ISO-2022-JP)</source>
        <translation>&amp;Японская (ISO-2022-JP)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="924"/>
        <source>Ja&amp;panese (CP932)</source>
        <translation>&amp;Японская (CP932)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="943"/>
        <source>&amp;Korean (CP949)</source>
        <translation>&amp;Корейская (CP949)</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1030"/>
        <source>&amp;Copy File Name</source>
        <translation>&amp;Копировать имя файла</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1046"/>
        <source>Alt+Right</source>
        <translation>Alt+Вправо</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1057"/>
        <source>Alt+Left</source>
        <translation>Alt+Влево</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1065"/>
        <source>&amp;First Tab</source>
        <translation>&amp;Первая вкладка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1068"/>
        <source>Alt+Down</source>
        <translation>Alt+Вниз</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1076"/>
        <source>&amp;Last Tab</source>
        <translation>&amp;Последняя вкладка</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1079"/>
        <source>Alt+Up</source>
        <translation>Alt+Вверх</translation>
    </message>
    <message>
        <location filename="../../fp.ui" line="1084"/>
        <source>Menu</source>
        <translation>Меню</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="102"/>
        <source>Calculate number of words
(For huge texts, this may be CPU-intensive.)</source>
        <translation>Подсчитать количество слов
(для огромных текстов возрастёт нагрузка на ЦПУ)</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="117"/>
        <source>Next</source>
        <translation>Следующий</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="118"/>
        <source>Previous</source>
        <translation>Предыдущий</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="119"/>
        <source>Replace all</source>
        <translation>Заменить всё</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="643"/>
        <source>&amp;Recently Opened</source>
        <translation>&amp;Недавно открытые</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2025"/>
        <source>Close</source>
        <translation>Закрыть</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="837"/>
        <location filename="../../fpwin.cpp" line="4596"/>
        <source>Position:</source>
        <translation>Положение:</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="885"/>
        <location filename="../../fpwin.cpp" line="4614"/>
        <location filename="../../fpwin.cpp" line="4634"/>
        <source>Normal</source>
        <translation>Нормальный</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1001"/>
        <source>Please attend to that window or just close its dialog!</source>
        <translation>Зайдите в это окно или просто закройте его диалог!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1351"/>
        <location filename="../../fpwin.cpp" line="2681"/>
        <location filename="../../fpwin.cpp" line="5956"/>
        <source>The file does not exist.</source>
        <translation>Файл не существует.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1364"/>
        <source>&amp;Discard changes</source>
        <translation>&amp;Отклонить изменения</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1365"/>
        <source>&amp;Cancel</source>
        <translation>О&amp;тменить</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1367"/>
        <source>&amp;No to all</source>
        <translation>&amp;Не ко всем</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1570"/>
        <location filename="../../fpwin.cpp" line="1628"/>
        <source>Unsaved</source>
        <translation>Несохранённый</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1590"/>
        <location filename="../../fpwin.cpp" line="4555"/>
        <location filename="../../fpwin.cpp" line="4570"/>
        <source>Sel. Chars</source>
        <translation>Выделенные символы</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1720"/>
        <source>Open Link</source>
        <translation>Открыть ссылку</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1733"/>
        <source>Copy Link</source>
        <translation>Копировать ссылку</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1918"/>
        <source>Another process is running in this tab!</source>
        <translation>В этой вкладке запущен ещё один процесс!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1919"/>
        <source>Only one process is allowed per tab.</source>
        <translation>На одну вкладку допускается только один процесс.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2012"/>
        <source>Script Output</source>
        <translation>Вывод сценария</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2028"/>
        <source>Clear</source>
        <translation>Очистить</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2637"/>
        <source>Huge file(s) not opened!</source>
        <translation>Большой файл не был открыт!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2638"/>
        <source>FeatherPad does not open files larger than 100 MiB.</source>
        <translation>FeatherPad не открывает файлы размером более 100 МиБ.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2646"/>
        <source>Non-text file(s) not opened!</source>
        <translation>Файлы, отличные от текстовых не могут быть открыты!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2647"/>
        <source>See Preferences → Files → Do not permit opening of non-text files</source>
        <translation>См. Настройки → Файл → Запретить открытие файлов, отличных от текстовых</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2656"/>
        <source>Some file(s) could not be opened!</source>
        <translation>Некоторые файлы не могут быть открыты!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2657"/>
        <source>You may not have the permission to read.</source>
        <translation>Возможно, недостаточно прав для доступа.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2667"/>
        <source>Uneditable file(s)!</source>
        <translation>Недоступный(-ые) для редактирования файл(-ы)!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2668"/>
        <source>Non-text files or files with huge lines cannot be edited.</source>
        <translation>Файлы, отличные от текстовых, а также с очень длинными строками, недоступны для редактирования.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2732"/>
        <source>Root Instance</source>
        <translation>Запущено от имени администратора</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2804"/>
        <location filename="../../fpwin.cpp" line="2993"/>
        <location filename="../../fpwin.cpp" line="3021"/>
        <source>All Files (*)</source>
        <translation>Все файлы (*)</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2809"/>
        <source>All Files (*);;.%1 Files (*.%1)</source>
        <translation>Все файлы (*);;.%1-файлы (*.%1)</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2813"/>
        <source>Open file...</source>
        <translation>Открыть файл...</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3050"/>
        <location filename="../../fpwin.cpp" line="3088"/>
        <source>Save as...</source>
        <translation>Сохранить как...</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3459"/>
        <source>Saving as root.</source>
        <translation>Сохранить как root.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3460"/>
        <source>Waiting for authentication...</source>
        <translation>Ожидание аутентификации ...</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3579"/>
        <source>&quot;pkexec&quot; is not found. Please install Polkit!</source>
        <translation>&quot;pkexec&quot; не найден. Пожалуйста, установите Polkit!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3239"/>
        <source>Yes</source>
        <translation>Да</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3240"/>
        <source>No</source>
        <translation>Нет</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3241"/>
        <source>Cancel</source>
        <translation>Отмена</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3734"/>
        <source>Text tabs are converted to spaces.</source>
        <translation>Табуляции переведены в пробелы.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3836"/>
        <source>The selected text was too long.</source>
        <translation>Выбранный текст слишком большой.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3837"/>
        <source>It is not fully processed.</source>
        <translation>Он не полностью переработан.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3996"/>
        <location filename="../../fpwin.cpp" line="4229"/>
        <source>This file has been modified elsewhere or in another way!</source>
        <translation>Файл был изменён внешней программой!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3997"/>
        <location filename="../../fpwin.cpp" line="4230"/>
        <source>Please be careful about reloading or saving this document!</source>
        <translation>Будьте осторожны при перезагрузке или сохранении этого документа!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="4705"/>
        <source>Printing in progress...</source>
        <translation>Идет печать ...</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="4762"/>
        <source>Printing completed.</source>
        <translation>Печать завершена.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5420"/>
        <location filename="../../fpwin.cpp" line="5544"/>
        <source>%1 Pages</source>
        <translation>%1 страниц</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5451"/>
        <location filename="../../fpwin.cpp" line="5580"/>
        <source>Copy Target Path</source>
        <translation>Копировать целевой путь</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5455"/>
        <location filename="../../fpwin.cpp" line="5584"/>
        <source>Open Target Here</source>
        <translation>Открыть цель здесь</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5474"/>
        <location filename="../../fpwin.cpp" line="5604"/>
        <source>Copy Final Target Path</source>
        <translation>Копировать путь цели назначения</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5478"/>
        <location filename="../../fpwin.cpp" line="5608"/>
        <source>Open Final Target Here</source>
        <translation>Открыть цель назначения здесь</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5498"/>
        <location filename="../../fpwin.cpp" line="5629"/>
        <source>Open Containing Folder</source>
        <translation>Открыть содержащую папку</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5752"/>
        <source>You need to add a Hunspell dictionary.</source>
        <translation>Вам нужно добавить словарь Hunspell.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5753"/>
        <location filename="../../fpwin.cpp" line="5760"/>
        <location filename="../../fpwin.cpp" line="5770"/>
        <source>See Preferences → Text → Spell Checking!</source>
        <translation>См. Настройки → Текст → Проверка орфографии!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5759"/>
        <source>The Hunspell dictionary does not exist.</source>
        <translation>Словарь Hunspell не найден.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5769"/>
        <source>The Hunspell dictionary is not accompanied by an affix file.</source>
        <translation>Словарь Hunspell не сопровождается файлом аффикса.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5792"/>
        <location filename="../../fpwin.cpp" line="5810"/>
        <location filename="../../fpwin.cpp" line="5825"/>
        <source>No misspelling in document.</source>
        <translation>В документе нет орфографических ошибок.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5794"/>
        <location filename="../../fpwin.cpp" line="5812"/>
        <location filename="../../fpwin.cpp" line="5827"/>
        <source>No misspelling from text cursor.</source>
        <translation>Нет текста для поверки орфографии от курсора.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="5843"/>
        <source>Spell Checking</source>
        <translation>Проверка орфографии</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="6180"/>
        <source>Some files cannot be saved!</source>
        <translation>Файлы не могут быть сохранены!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="6223"/>
        <source>Translators</source>
        <translation>Переводчики</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="6219"/>
        <source>A lightweight, tabbed, plain-text editor</source>
        <translation>Легковесный текстовый редактор со вкладками</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="6220"/>
        <source>based on Qt</source>
        <translation>основан на Qt</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="6221"/>
        <source>Author</source>
        <translation>Автор</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="6222"/>
        <source>aka.</source>
        <translation>aka.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="479"/>
        <location filename="../../fpwin.cpp" line="3984"/>
        <location filename="../../fpwin.cpp" line="5031"/>
        <location filename="../../fpwin.cpp" line="5290"/>
        <location filename="../../fpwin.cpp" line="6362"/>
        <source>Help</source>
        <translation>Справка</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1589"/>
        <location filename="../../fpwin.cpp" line="2912"/>
        <location filename="../../fpwin.cpp" line="3635"/>
        <location filename="../../fpwin.cpp" line="3646"/>
        <location filename="../../fpwin.cpp" line="3653"/>
        <location filename="../../fpwin.cpp" line="4554"/>
        <location filename="../../fpwin.cpp" line="6146"/>
        <location filename="../../fpwin.cpp" line="6157"/>
        <location filename="../../fpwin.cpp" line="6164"/>
        <source>Lines</source>
        <translation>Строки</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1000"/>
        <source>Another FeatherPad window has a modal dialog!</source>
        <translation>Другое окно FeatherPad имеет модальный диалог!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1349"/>
        <source>Save changes?</source>
        <translation>Сохранить изменения?</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1353"/>
        <source>The document has been modified.</source>
        <translation>Документ был изменён.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="1591"/>
        <location filename="../../fpwin.cpp" line="4557"/>
        <location filename="../../fpwin.cpp" line="4571"/>
        <source>Words</source>
        <translation>Слова</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2016"/>
        <source>Script File</source>
        <translation>Файл сценария</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="2999"/>
        <source>.%1 Files (*.%1);;All Files (*)</source>
        <translation>.%1 Файлы (*.%1);;Все файлы (*)</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3124"/>
        <source>Keep encoding and save as...</source>
        <translation>Оставить кодировку и сохранить как...</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3242"/>
        <source>Do you want to use &lt;b&gt;MS Windows&lt;/b&gt; end-of-lines?</source>
        <translation>Хотите использовать конец строки &lt;b&gt;MS Windows&lt;/b&gt;?</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3243"/>
        <source>This may be good for readability under MS Windows.</source>
        <translation>Это может быть полезно для удобства чтения под MS Windows.</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3356"/>
        <location filename="../../fpwin.cpp" line="3474"/>
        <location filename="../../fpwin.cpp" line="3578"/>
        <location filename="../../fpwin.cpp" line="3590"/>
        <source>Cannot be saved!</source>
        <translation>Не удаётся сохранить!</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="3631"/>
        <location filename="../../fpwin.cpp" line="3637"/>
        <location filename="../../fpwin.cpp" line="3645"/>
        <location filename="../../fpwin.cpp" line="4552"/>
        <location filename="../../fpwin.cpp" line="6142"/>
        <location filename="../../fpwin.cpp" line="6148"/>
        <location filename="../../fpwin.cpp" line="6156"/>
        <source>Syntax</source>
        <translation>Синтаксис</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="4756"/>
        <source>Print Document</source>
        <translation>Печать документа</translation>
    </message>
    <message>
        <location filename="../../fpwin.cpp" line="6223"/>
        <location filename="../../fpwin.cpp" line="6224"/>
        <source>About FeatherPad</source>
        <translation>О FeatherPad</translation>
    </message>
    <message>
        <location filename="../../replace.cpp" line="242"/>
        <source>No Replacement</source>
        <translation>Без замены</translation>
    </message>
    <message>
        <location filename="../../replace.cpp" line="244"/>
        <source>One Replacement</source>
        <translation>Одна замена</translation>
    </message>
    <message numerus="yes">
        <location filename="../../replace.cpp" line="246"/>
        <source>%Ln Replacements</source>
        <translation>
            <numerusform>%Ln замена</numerusform>
            <numerusform>%Ln замены</numerusform>
            <numerusform>%Ln замен</numerusform>
        </translation>
    </message>
    <message>
        <location filename="../../replace.cpp" line="250"/>
        <source>The first 1000 replacements are highlighted.</source>
        <translation>Выделены первые 1000 замен.</translation>
    </message>
    <message>
        <location filename="../../syntax.cpp" line="312"/>
        <source>The size limit for syntax highlighting is exceeded.</source>
        <translation>Превышен предельный размер для подсветки синтаксиса.</translation>
    </message>
</context>
<context>
    <name>FeatherPad::FileDialog</name>
    <message>
        <location filename="../../filedialog.h" line="49"/>
        <source>Ctrl+H</source>
        <comment>Toggle showing hidden files</comment>
        <translation>Ctrl+H</translation>
    </message>
    <message>
        <location filename="../../filedialog.h" line="50"/>
        <source>Alt+.</source>
        <comment>Toggle showing hidden files</comment>
        <translation>Alt+.</translation>
    </message>
</context>
<context>
    <name>FeatherPad::FontDialog</name>
    <message>
        <location filename="../../fontDialog.ui" line="14"/>
        <source>Select Font</source>
        <translation>Выберите шрифт</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="38"/>
        <source>Programming Fonts</source>
        <translation>Только шрифты программирования</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="45"/>
        <location filename="../../fontDialog.ui" line="55"/>
        <source>Font:</source>
        <translation>Шрифт:</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="69"/>
        <source>Size:</source>
        <translation>Размер:</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="89"/>
        <source>Weight:</source>
        <translation>Начертание:</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="103"/>
        <source>Normal</source>
        <translation>Нормальное</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="108"/>
        <source>Medium</source>
        <translation>Полужирное</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="113"/>
        <source>Bold</source>
        <translation>Жирное</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="118"/>
        <source>Black</source>
        <translation>Очень жирное</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="126"/>
        <source>Italic</source>
        <translation>Курсив</translation>
    </message>
    <message>
        <location filename="../../fontDialog.ui" line="149"/>
        <source>Preview</source>
        <translation>Просмотр</translation>
    </message>
</context>
<context>
    <name>FeatherPad::LineEdit</name>
    <message>
        <location filename="../../lineedit.cpp" line="34"/>
        <source>Clear text (Ctrl+K)</source>
        <translation>Удалить текст (Ctrl+K)</translation>
    </message>
</context>
<context>
    <name>FeatherPad::PrefDialog</name>
    <message>
        <location filename="../../prefDialog.ui" line="14"/>
        <source>Preferences</source>
        <translation>Настройки</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="30"/>
        <source>Window</source>
        <translation>Окно</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="69"/>
        <source>Window Settings</source>
        <translation>Настройки окна</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="84"/>
        <location filename="../../prefDialog.ui" line="97"/>
        <location filename="../../prefDialog.ui" line="107"/>
        <location filename="../../prefDialog.ui" line="120"/>
        <source>Window frame is excluded.</source>
        <translation>Рамка окна исключена.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="87"/>
        <source>Start with this size: </source>
        <translation>Начать с данного размера: </translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="100"/>
        <location filename="../../prefDialog.ui" line="123"/>
        <source> px</source>
        <translation> пикс</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="110"/>
        <source>×</source>
        <translation>×</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="148"/>
        <source>Enforcing a window position is not recommended
and may not work with some window managers.</source>
        <translation>Установка положения окна не рекомендуется и может
не работать с некоторыми оконными менеджерами.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="152"/>
        <source>Remember window &amp;position on closing</source>
        <translation>Запомнить &amp;положение окна при закрытии</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="159"/>
        <source>Most suitable with sessions
but without tab functionality.</source>
        <translation>Наиболее подходит для сессий,
но без вкладок.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="188"/>
        <source>Uncheck for 1/5 of the width.</source>
        <translation>Снимите флажок для 1/5 ширины.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="191"/>
        <source>Remember splitter position</source>
        <translation>Запомнить положение разделителя</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="207"/>
        <source>If the menubar is hidden,
a menu button appears on the toolbar.</source>
        <translation>При скрытии панели меню, кнопка меню
появится на панели инструментов.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="229"/>
        <source>Internal icons are used by default.</source>
        <translation>Встроенные значки используются по умолчанию.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="232"/>
        <source>Use system icons where possible</source>
        <translation>По возможности использовать системные значки</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="246"/>
        <source>By default, each search entry
has a separate search history.</source>
        <translation>По умолчанию каждая поисковая
запись имеет отдельную историю поиска.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="250"/>
        <source>Use a shared search history</source>
        <translation>Использовать общую историю поиска</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="282"/>
        <source>Show cursor position on status bar</source>
        <translation>Показ позиции курсора в строке состояния</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="293"/>
        <location filename="../../prefDialog.ui" line="303"/>
        <source>Will take effect after closing this dialog.</source>
        <translation>Вступит в силу после закрытия этого диалогового окна.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="296"/>
        <source>Tab position: </source>
        <translation>Положение вкладок: </translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="307"/>
        <source>North</source>
        <translation>Север</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="312"/>
        <source>South</source>
        <translation>Юг</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="317"/>
        <source>West</source>
        <translation>Запад</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="322"/>
        <source>East</source>
        <translation>Восток</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="348"/>
        <source>This means that, for LTR, Alt+Right goes to the first tab
after the last tab is activated, and the same for Alt+Left.

Tab navigation with mouse wheel is not affected.</source>
        <translation>Подразумевается, что комбинация Alt+Вправо переведёт
на крайнюю левую вкладку с крайней правой, и наоборот
для Alt+Влево.

На навигацию колёсиком мыши не повлияет.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="374"/>
        <source>Close window on closing its last tab</source>
        <translation>Закрывать окно при закрытии последней вкладки</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="381"/>
        <source>By default, if a FeatherPad window exists on the
current desktop, files will be opened in its tabs.

However, some desktop environments may not
report that they have multiple desktops.</source>
        <translation>По умолчанию, если окно FeatherPad запущено
на рабочем столе, новые файлы будут открыты
во вкладках этого окна.

Правда, в некоторых окружениях рабочего
стола эта функция не работает.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="388"/>
        <source>Always open in separate windows</source>
        <translation>Всегда открывать в новом окне</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="395"/>
        <source>If this is checked, the file dialog provided by the current
desktop environment will be used instead of the Qt file dialog.

Some desktop environments, like KDE and LXQt, provide files dialogs.</source>
        <translation>Если выбрано, будет запущен диалог выбора файла, предоставленный
текущим окружением рабочего стола вместо диалога выбора файлов Qt.

Некоторые окружения, такие как KDE и LXQt предоставляют собственные диалоги.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="401"/>
        <source>Native file dialog</source>
        <translation>Системный диалог выбора файла</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="477"/>
        <source>Uncheck for Monospace.</source>
        <translation>Снимите флажок для Monospace.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="501"/>
        <source>This covers parentheses, braces, brackets and quotes.</source>
        <translation>Это касается круглых, фигурных, квадратных скобок и кавычек.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="504"/>
        <source>Auto-&amp;bracket</source>
        <translation>&amp;Автоматическое закрытие скобок</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="511"/>
        <source>By default, a triple period is replaced with an ellipsis
and a double hyphen with a long dash while typing,
under proper circumstances.</source>
        <translation>По умолчанию, во время ввода текста три точки
заменяются на многоточие, а два дефиса — на тире
в нужном контексте.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="516"/>
        <source>Replace triple periods and double hyphens while typing</source>
        <translation>Заменять три точки и два дефиса при вводе текста</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="530"/>
        <source>Highlight case-sensitive and whole matches
of the selected text.</source>
        <translation>Выделение совпадений с учетом регистра и целых совпадений
выделенного текста.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="534"/>
        <source>Selection highlighting</source>
        <translation>Выделение выделений</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="566"/>
        <source>This creates a menu button on the
status bar for changing the syntax.</source>
        <translation>Действие создаст кнопку меню в строке
состояния для изменения синтаксиса.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="570"/>
        <source>Support syntax override</source>
        <translation>Поддержка установки синтаксиса</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="635"/>
        <source>Show spaces, tabs and tab lines
when the syntax is highlighted.</source>
        <translation>Показать пробелы, вкладки и строки
вкладок, при выделенном синтаксисе.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="639"/>
        <source>Show whitespaces</source>
        <translation>Показ пробелов</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="655"/>
        <location filename="../../prefDialog.ui" line="666"/>
        <source>The vertical position lines will be drawn only if
the editor font has a fixed pitch (like Monospace).</source>
        <translation>Вертикальные полосы будут нарисованы только
в том случае, если шрифт редактора имеет
фиксированную высоту (например, Monospace).</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="659"/>
        <source>Show vertical lines starting from this position:</source>
        <translation>Показ вертикальных полос начиная с позиции:</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="646"/>
        <source>Also show line and document ends</source>
        <translation>Показ строки в конце документа</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="218"/>
        <source>Menubar accelerators are activated by Alt
and may interfere with customized shortcuts.</source>
        <translation>Ускорители панели меню активируются с помощью Alt
и могут конфликтовать с настраиваемыми ярлыками.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="222"/>
        <source>Disable menubar accelerators</source>
        <translation>Отключить ускорители панели меню</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="785"/>
        <source>Date and time format:</source>
        <translation>Формат даты и времени:</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="814"/>
        <source>Text tab size:</source>
        <translation>Размер шрифта:</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="821"/>
        <source> spaces</source>
        <translation> пробела (-ов)</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="855"/>
        <source>Some text editors cannot open a document
whose last line is not empty.</source>
        <translation>Не все текстовые редакторы смогут открыть
документ, последняя строка в котором не пуста.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="859"/>
        <source>Ensure an empty last line on saving</source>
        <translation>При сохранении проверять, что последняя срока остаётся пустой</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="866"/>
        <source>Remove trailing spaces on saving</source>
        <translation>Удалять завершающие пробелы при сохранении</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="873"/>
        <source>Thick text cursor</source>
        <translation>Широкий курсор текста</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="884"/>
        <source>Inertial scrolling with mouse wheel</source>
        <translation>Инерционная прокрутка колёсиком мыши</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="891"/>
        <source>Spell Checking</source>
        <translation>Проверка орфографии</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="899"/>
        <location filename="../../prefDialog.ui" line="911"/>
        <source>A Hunspell dictionary has a name that ends with &quot;.dic&quot;
and should be alongside an affix file with the same
name but ending with &quot;.aff&quot;.</source>
        <translation>Словарь Hunspell имеет имя, которое оканчивается на «.dic»,
он должен находиться рядом с аффиксным файлом с тем же
именем, но оканчивающимся на «.aff».</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="904"/>
        <source>Hunspell dictionary path:</source>
        <translation>Путь к словарю Hunspell:</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="923"/>
        <location filename="../../pref.cpp" line="1664"/>
        <source>Add dictionary...</source>
        <translation>Добавить словарь...</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="935"/>
        <source>If this is unchecked, spell checking
will be started from the document start.</source>
        <translation>Если этот флажок снят, проверка
орфографии начнётся с начала документа.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="939"/>
        <source>Start spell checking from text cursor</source>
        <translation>Начинать проверку орфографии от курсора</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="973"/>
        <source>Files</source>
        <translation>Файл</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="979"/>
        <source>File Management</source>
        <translation>Управление файлами</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1096"/>
        <source>Start with files of last window</source>
        <translation>Начинать с файлов последнего окна</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1138"/>
        <location filename="../../prefDialog.ui" line="1157"/>
        <source>This can be any starting command with
arguments, for example, &quot;xterm -hold&quot;
for running the process in XTerm.

If the command is left empty, the file
will be executed directly.

If the script is not run in a terminal
emulator, the output and error messages
will be shown by a popup dialog.</source>
        <translation>Это может быть любая стартовая команда с
аргументами, например, &quot;xterm -hold&quot;
для запуска процесса в XTerm.

Если команда оставлена пустой,
файл будет выполнен непосредственно.

Если сценарий не запущен в эмуляторе терминала,
сообщения вывода и ошибки будут отображаться
во всплывающем диалоговом окне.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1150"/>
        <source>Start with this command: </source>
        <translation>Запуск с этой команды: </translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1169"/>
        <source>Command + Arguments</source>
        <translation>Команда + Аргументы</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1180"/>
        <location filename="../../prefDialog.ui" line="1190"/>
        <source>Only for files that exist and can be saved.</source>
        <translation>Только для тех файлов, которые существуют и могут быть сохранены.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1193"/>
        <source> min</source>
        <translation> мин</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1224"/>
        <source>If this is checked, the Save button/menu-item could
be used also when the opened file is not modified.

This can be useful under certain circumstances,
e.g. for changing the time stamp or removing the
trailing spaces of a text file.</source>
        <translation>Если флажок установлен, кнопка/пункт меню «Сохранить» может также
использоваться, даже если в открытый файл не были внесены изменения.

Это может быть полезно при определённых обстоятельствах,
например для изменения отметки времени или удаления пробелов.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1232"/>
        <source>Allow saving unmodified files</source>
        <translation>Разрешить сохранение неизменённых файлов</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1239"/>
        <source>Show a warning instead.</source>
        <translation>Показывать предупреждение.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1242"/>
        <source>Do not permit opening of non-text files</source>
        <translation>Запретить открытие файлов, отличных от текстовых</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1249"/>
        <source>By default, when files are copied, they will
be opened if they are pasted into FeatherPad.</source>
        <translation>По умолчанию при копировании файлов они будут
открываться, если они вставлены в FeatherPad.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1253"/>
        <source>Paste paths instead of files</source>
        <translation>Вставте пути вместо файлов</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1280"/>
        <source>Shortcuts</source>
        <translation>Комбинации клавиш</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1302"/>
        <source>Action</source>
        <translation>Действие</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1307"/>
        <source>Shortcut</source>
        <translation>Комбинация клавиш</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1315"/>
        <source>Restore default shortcuts.</source>
        <translation>Восстановить комбинации клавиш по умолчанию.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1318"/>
        <location filename="../../prefDialog.ui" line="1392"/>
        <location filename="../../prefDialog.ui" line="1440"/>
        <source>Default</source>
        <translation>По умолчанию</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1329"/>
        <source>Syntax Colors</source>
        <translation>Цвета синтаксиса</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1424"/>
        <source>Element</source>
        <translation>Элемент</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1429"/>
        <source>Text Color</source>
        <translation>Цвет текста</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1346"/>
        <source>Whitespace color value:</source>
        <translation>Значение цвета пробелов:</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1379"/>
        <location filename="../../prefDialog.ui" line="1389"/>
        <source>Has effect only if line numbers are shown.</source>
        <translation>Действует только при отображении номеров строк.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1382"/>
        <source>Current line highlight value:</source>
        <translation>Текущие выделение в строки:</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1437"/>
        <source>Restore default syntax colors.</source>
        <translation>Восстановить цвета синтаксиса по умолчанию.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1461"/>
        <source>Help</source>
        <translation>Справка</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="75"/>
        <source>Remember window &amp;size on closing</source>
        <translation>Запомнить &amp;размер окна при закрытии</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="163"/>
        <source>Start with side-pane mode</source>
        <translation>Запускать с боковой панелью</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="200"/>
        <source>Do not show &amp;toolbar</source>
        <translation>Скрыть панель &amp;инструментов</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="211"/>
        <source>Do not show &amp;menubar</source>
        <translation>Скрыть &amp;панель меню</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="239"/>
        <source>Hide search &amp;bar by default</source>
        <translation>&amp;Скрыть панель поиска по умолчанию</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="257"/>
        <source>Always show st&amp;atus bar</source>
        <translation>&amp;Всегда показывать строку состояния</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="354"/>
        <source>Tab navigation wraps &amp;around</source>
        <translation>&amp;Повторить навигацию по вкладкам</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="361"/>
        <source>If this is checked, not only you will lose the informative
tooltip and context menu of a single tab but you could not
merge a single tabbed window into another one by tab drag-
and-drop either.</source>
        <translation>Если этот флажок установлен, пропадут не только
подсказки и контекстное меню вкладки, но и нельзя
будет объединить одно окно с вкладками с другим
с помощью перетаскивания вкладки.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="367"/>
        <source>&amp;Do not show a single tab</source>
        <translation>&amp;Не показывать единственную вкладку</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="432"/>
        <source>Text</source>
        <translation>Текст</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="471"/>
        <source>Text Editor</source>
        <translation>Текстовый редактор</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="480"/>
        <source>Remember &amp;font</source>
        <translation>&amp;Запомнить шрифт</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="487"/>
        <source>&amp;Wrap lines by default</source>
        <translation>&amp;Выделять строки по умолчанию</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="736"/>
        <source>Background color value: </source>
        <translation>Значение цвета фона: </translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="604"/>
        <source> MiB</source>
        <translation> МиБ</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1103"/>
        <source>This only includes executable files written
in script languages like Shell and Python.

If it is checked and the opened file is
executable, the file will be executed by clicking
the Run button, that appears on the toolbar/filemenu
when needed, or by its shortcut Ctrl+E. Then, the
process could be killed by Ctrl+Alt+E.</source>
        <translation>Это включает только исполняемые файлы, написанные
на языках сценариев, таких как Shell и Python.

Если это отмечено, и открытый файл исполняемый, то он будет
запущен нажатием кнопки «Запустить», которая появляется на
панели инструментов в меню файла, когда потребуется, или
комбинацией Ctrl+E.
Затем процесс можно завершить нажатием Ctrl+Alt+E.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="698"/>
        <source>Needs window reopening to take effect.</source>
        <translation>Требуется ещё раз открыть окно.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="726"/>
        <location filename="../../prefDialog.ui" line="743"/>
        <source>The color value of the background.
255 means white while 0 means black.

For the light background, it can be
between 230 and 255; for the dark
background, between 0 and 50.

Needs window reopening to take effect.</source>
        <translation>Значение цвета фона. 255 означает
белый, а 0 означает чёрный.

Для светлого фона оно может быть
между 230 и 255; для тёмного фона
 - от 0 до 50.

Требуется ещё раз открыть окно.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1113"/>
        <source>Run executable scripts</source>
        <translation>Запускать исполняемые сценарии</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="987"/>
        <location filename="../../prefDialog.ui" line="1001"/>
        <source>The maximum number of recently modified or
opened files FeatherPad shows. The default
is 10.

Needs application restart to take effect.</source>
        <translation>Отображается максимальное количество недавно
изменённых или открытых файлов FeatherPad.
Значение по умолчанию - 10.

Требуется перезапуск приложения.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="494"/>
        <source>Auto-&amp;indent by default</source>
        <translation>&amp;Автоматический отступ по умолчанию</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="523"/>
        <source>Always show line &amp;numbers</source>
        <translation>&amp;Всегда показывать номера строк</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="541"/>
        <source>Highlight s&amp;yntax by default</source>
        <translation>&amp;Выделять синтаксис по умолчанию</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="597"/>
        <source>Never highlight syntax for files &gt; </source>
        <translation>Не выделять синтаксис для файлов &gt; </translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="701"/>
        <source>Dark c&amp;olor scheme</source>
        <translation>&amp;Тёмная цветовая схема</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="777"/>
        <location filename="../../prefDialog.ui" line="792"/>
        <source>Used for pasting the date and time.

Takes effect after closing this dialog.

Leave empty for:
MMM dd, yyyy, hh:mm:ss</source>
        <translation>Используется для вставки даты и времени.

Вступит в силу после закрытия этого диалога.

Оставить пустым для:
МММ дд, гггг, чч:мм:сс</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="880"/>
        <source>Should the mouse wheel scrolling be inertial
if the cursor is inside the text view?</source>
        <translation>Должна ли прокрутка колёсика мыши быть инерционной,
при расположении курсора внутри текстового поля?</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="994"/>
        <source>Number of recent files: </source>
        <translation>Количество последних файлов: </translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1054"/>
        <source>Show recentl&amp;y modified files</source>
        <translation>&amp;Показывать недавно изменённые файлы</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1084"/>
        <source>Show recentl&amp;y opened files</source>
        <translation>&amp;Показывать недавно открытые файлы</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1093"/>
        <source>Only if their number is not greater than 50.</source>
        <translation>Только если их число не более 50.</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1183"/>
        <source>Save changes to opened files every:</source>
        <translation>Интервал автосохранения открытых файлов:</translation>
    </message>
    <message>
        <location filename="../../prefDialog.ui" line="1472"/>
        <source>Close</source>
        <translation>Закрыть</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="104"/>
        <source>Press a modifier key to clear a shortcut
in the editing mode.</source>
        <translation>Используйте клавишу-модификатор, чтобы очистить
комбинацию клавиш в режиме редактирования.</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="110"/>
        <source>Double click a color to change it.</source>
        <translation>Дважды щёлкните по цвету для его изменения.</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="311"/>
        <location filename="../../pref.cpp" line="1360"/>
        <source>files</source>
        <translation>файлы</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="311"/>
        <location filename="../../pref.cpp" line="1360"/>
        <source>file</source>
        <translation>файл</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="364"/>
        <location filename="../../pref.cpp" line="1479"/>
        <source>Warning: Ambiguous shortcut detected!</source>
        <translation>Внимание: обнаружена неоднозначная комбинация!</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="397"/>
        <source>Functions, URLs,…</source>
        <translation>Функции, URLs,…</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="398"/>
        <source>Built-in Functions</source>
        <translation>Встроенные функции</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="399"/>
        <source>Comments</source>
        <translation>Комментарии</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="400"/>
        <source>Quotations</source>
        <translation>Цитаты</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="401"/>
        <source>Types</source>
        <translation>Типы</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="402"/>
        <source>Key Words</source>
        <translation>Ключевые слова</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="403"/>
        <source>Numbers</source>
        <translation>Числа</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="404"/>
        <source>Regular Expressions, Code Blocks,…</source>
        <translation>Регулярные выражения, блоки кода,…</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="405"/>
        <source>Document Blocks, XML/HTML Elements,…</source>
        <translation>Блоки документов, элементы XML/HTML,…</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="406"/>
        <source>Markdown Headings, CSS Values,…</source>
        <translation>Заголовки Headings, CSS Значения,…</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="407"/>
        <source>Extra Elements</source>
        <translation>Дополнительные элементы</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="568"/>
        <source>Application restart is needed for changes to take effect.</source>
        <translation>Для вступления изменений в силу, необходим перезапуск приложения.</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="588"/>
        <source>Window reopening is needed for changes to take effect.</source>
        <translation>Для вступления изменений в силу, требуется повторное открытие окна.</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="1386"/>
        <source>&amp;Recently Opened</source>
        <translation>&amp;Недавно открытые</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="1387"/>
        <source>Recently &amp;Modified</source>
        <translation>&amp;Недавно изменённые</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="1462"/>
        <source>The typed shortcut was reserved.</source>
        <translation>Введённая комбинация клавиш уже используется.</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="1666"/>
        <source>Hunspell Dictionary Files (*.dic)</source>
        <translation>Файлы словаря Hunspell (*.dic)</translation>
    </message>
    <message>
        <location filename="../../pref.cpp" line="458"/>
        <location filename="../../pref.cpp" line="1752"/>
        <source>Select Syntax Color</source>
        <translation>Выбор цвета синтаксиса</translation>
    </message>
</context>
<context>
    <name>FeatherPad::SearchBar</name>
    <message>
        <location filename="../../searchbar.cpp" line="94"/>
        <location filename="../../searchbar.cpp" line="173"/>
        <source>Search...</source>
        <translation>Поиск...</translation>
    </message>
    <message>
        <location filename="../../searchbar.cpp" line="125"/>
        <source>Match Case</source>
        <translation>С учётом регистра</translation>
    </message>
    <message>
        <location filename="../../searchbar.cpp" line="132"/>
        <source>Whole Word</source>
        <translation>Слово целиком</translation>
    </message>
    <message>
        <location filename="../../searchbar.cpp" line="139"/>
        <source>Regular Expression</source>
        <translation>Регулярное выражение</translation>
    </message>
    <message>
        <location filename="../../searchbar.cpp" line="171"/>
        <source>Search with regex...</source>
        <translation>Искать с помощью регулярных выражений...</translation>
    </message>
    <message>
        <location filename="../../searchbar.cpp" line="120"/>
        <source>Next</source>
        <translation>Следующий</translation>
    </message>
    <message>
        <location filename="../../searchbar.cpp" line="121"/>
        <source>Previous</source>
        <translation>Предыдущий</translation>
    </message>
</context>
<context>
    <name>FeatherPad::SessionDialog</name>
    <message>
        <location filename="../../sessionDialog.ui" line="14"/>
        <source>Session Manager</source>
        <translation>Менеджер сеансов</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="101"/>
        <location filename="../../sessionDialog.ui" line="270"/>
        <source>&amp;Remove</source>
        <translation>&amp;Удалить</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="33"/>
        <source>&lt;b&gt;Save/Restore Session&lt;/b&gt;</source>
        <translation>&lt;b&gt;Сохранить/Восстановить сеанс&lt;/b&gt;</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="56"/>
        <source>Filter...</source>
        <translation>Фильтр...</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="69"/>
        <source>Open the selected session(s).</source>
        <translation>Открыть выбранный сеанс(ы)..</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="72"/>
        <location filename="../../sessionDialog.ui" line="275"/>
        <source>&amp;Open</source>
        <translation>&amp;Открыть</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="98"/>
        <location filename="../../sessionDialog.ui" line="108"/>
        <source>Del</source>
        <translation>Del</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="115"/>
        <location filename="../../sessionDialog.ui" line="125"/>
        <source>Ctrl+Del</source>
        <translation>Ctrl+Del</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="118"/>
        <source>Remove &amp;All</source>
        <translation>&amp;Удалить всё</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="159"/>
        <source>By default, all files that are opened in all
windows will be included in the saved session.</source>
        <translation>По умолчанию все файлы, которые открываются
во всех окнах, будут включены в сохранённый сеанс.</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="163"/>
        <source>Save only from this &amp;window</source>
        <translation>Сохранять только из этого &amp;окна</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="180"/>
        <source>&lt;b&gt;Warning&lt;/b&gt;</source>
        <translation>&lt;b&gt;Предупреждение&lt;/b&gt;</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="226"/>
        <location filename="../../session.cpp" line="328"/>
        <source>&amp;Yes</source>
        <translation>&amp;Да</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="233"/>
        <source>&amp;No</source>
        <translation>&amp;Нет</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="283"/>
        <source>Re&amp;name</source>
        <translation>Пере&amp;именовать</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="260"/>
        <source>&amp;Close</source>
        <translation>&amp;Закрыть</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="135"/>
        <source>Save the current session under the given title.</source>
        <translation>Сохранить текущий сеанс под данным заголовком.</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="138"/>
        <source>&amp;Save</source>
        <translation>&amp;Сохранить</translation>
    </message>
    <message>
        <location filename="../../sessionDialog.ui" line="149"/>
        <source>Type a name to save session</source>
        <translation>Введите имя для сохранения сеанса</translation>
    </message>
    <message>
        <location filename="../../session.cpp" line="179"/>
        <source>Nothing saved.&lt;br&gt;No file was opened.</source>
        <translation>Ничего не сохранено.&lt;br&gt;Файл не был открыт.</translation>
    </message>
    <message>
        <location filename="../../session.cpp" line="277"/>
        <source>No file exists or can be opened.</source>
        <translation>Файл не существует или не может быть открыт.</translation>
    </message>
    <message>
        <location filename="../../session.cpp" line="279"/>
        <source>Not all files exist or can be opened.</source>
        <translation>Не все файлы существуют или могут быть открыты.</translation>
    </message>
    <message>
        <location filename="../../session.cpp" line="314"/>
        <source>&amp;OK</source>
        <translation>&amp;OK</translation>
    </message>
    <message>
        <location filename="../../session.cpp" line="333"/>
        <source>Do you really want to remove all saved sessions?</source>
        <translation>Вы действительно хотите удалить все сохранённые сеансы?</translation>
    </message>
    <message>
        <location filename="../../session.cpp" line="339"/>
        <source>Do you really want to remove the selected sessions?</source>
        <translation>Вы действительно хотите удалить выбранные сеансы?</translation>
    </message>
    <message>
        <location filename="../../session.cpp" line="341"/>
        <source>Do you really want to remove the selected session?</source>
        <translation>Вы действительно хотите удалить выбранный сеанс?</translation>
    </message>
    <message>
        <location filename="../../session.cpp" line="346"/>
        <source>A session with the same name exists.&lt;br&gt;Do you want to overwrite it?</source>
        <translation>Сессия с тем же именем уже существует.&lt;br&gt;Хотите перезаписать её?</translation>
    </message>
</context>
<context>
    <name>FeatherPad::SidePane</name>
    <message>
        <location filename="../../sidepane.cpp" line="210"/>
        <source>Filter...</source>
        <translation>Фильтр...</translation>
    </message>
</context>
<context>
    <name>FeatherPad::SpellDialog</name>
    <message>
        <location filename="../../spellDialog.ui" line="25"/>
        <source>Unknown word:</source>
        <translation>Неизвестное слово:</translation>
    </message>
    <message>
        <location filename="../../spellDialog.ui" line="51"/>
        <source>Add To Dictionary</source>
        <translation>Добавить в словарь</translation>
    </message>
    <message>
        <location filename="../../spellDialog.ui" line="62"/>
        <source>Replace with:</source>
        <translation>Заменить на:</translation>
    </message>
    <message>
        <location filename="../../spellDialog.ui" line="129"/>
        <source>Correct Once</source>
        <translation>Исправить один раз</translation>
    </message>
    <message>
        <location filename="../../spellDialog.ui" line="142"/>
        <source>Correct All</source>
        <translation>Исправить всё</translation>
    </message>
    <message>
        <location filename="../../spellDialog.ui" line="87"/>
        <source>Ignore Once</source>
        <translation>Игнорировать один раз</translation>
    </message>
    <message>
        <location filename="../../spellDialog.ui" line="100"/>
        <source>Ignore All</source>
        <translation>Игнорировать всё</translation>
    </message>
</context>
<context>
    <name>FeatherPad::TextEdit</name>
    <message>
        <location filename="../../textedit.cpp" line="148"/>
        <source>Double click to center current line</source>
        <translation>Двойной щелчок по центру текущей строки</translation>
    </message>
</context>
</TS>
